import { ILogger } from '@sourceloop/core';
import { Consumer, EachMessagePayload, Kafka } from 'kafkajs';
import { IEventAdapter, IEventStreamHandler, IIncomingConnector, IOutgoingConnector } from '../../interfaces';
import { KafkaConfig } from './types';
export declare class KafkaStreamService<T> implements IIncomingConnector<T>, IOutgoingConnector<T> {
    private readonly settings;
    private readonly adapter;
    private readonly logger;
    private readonly kafkaContructor;
    constructor(settings: KafkaConfig<T>, adapter: IEventAdapter<EachMessagePayload, T>, logger: ILogger, kafkaContructor: typeof Kafka);
    client: Kafka;
    consumer?: Consumer;
    subscribe(handler: IEventStreamHandler<T>): Promise<void>;
    unsubscribe(): Promise<void>;
    publish(event: T): Promise<void>;
    private buildKey;
}
