"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventStreamObserver = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const core_2 = require("@sourceloop/core");
const keys_1 = require("../keys");
let EventStreamObserver = class EventStreamObserver {
    constructor(processor, incoming, logger) {
        this.processor = processor;
        this.incoming = incoming;
        this.logger = logger;
    }
    async start() {
        await this.incoming.subscribe(async (event) => this.processor.handle(event));
        this.logger.debug('Event connection started');
    }
    async stop() {
        await this.incoming.unsubscribe();
        this.logger.debug('Event connection stopped');
    }
};
exports.EventStreamObserver = EventStreamObserver;
exports.EventStreamObserver = EventStreamObserver = tslib_1.__decorate([
    (0, core_1.lifeCycleObserver)(),
    tslib_1.__param(0, (0, core_1.inject)(keys_1.TaskServiceBindings.EVENT_PROCESSOR)),
    tslib_1.__param(1, (0, core_1.inject)(keys_1.TaskServiceBindings.INCOMING_CONNECTOR)),
    tslib_1.__param(2, (0, core_1.inject)(core_2.LOGGER.LOGGER_INJECT)),
    tslib_1.__metadata("design:paramtypes", [Object, Object, Object])
], EventStreamObserver);
//# sourceMappingURL=event-stream.observer.js.map