"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Event = void 0;
const tslib_1 = require("tslib");
const repository_1 = require("@loopback/repository");
const core_1 = require("@sourceloop/core");
let Event = class Event extends core_1.CoreEntity {
};
exports.Event = Event;
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        id: true,
        generated: true,
    }),
    tslib_1.__metadata("design:type", String)
], Event.prototype, "id", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
        description: 'An identifier for a particular event queued by a service or a user',
    }),
    tslib_1.__metadata("design:type", String)
], Event.prototype, "key", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
        description: 'A short description of an event',
    }),
    tslib_1.__metadata("design:type", String)
], Event.prototype, "description", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
        description: 'Origination of an event- can be a service or from a user',
    }),
    tslib_1.__metadata("design:type", String)
], Event.prototype, "source", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'object',
        required: true,
        description: 'A dynamic object that contains information to be run in the workers of a bpmn engine',
    }),
    tslib_1.__metadata("design:type", Object)
], Event.prototype, "payload", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'number',
        required: true,
        description: 'A short message to indicate the progression of the event',
    }),
    tslib_1.__metadata("design:type", Number)
], Event.prototype, "timestamp", void 0);
exports.Event = Event = tslib_1.__decorate([
    (0, repository_1.model)({
        name: 'events',
    })
], Event);
//# sourceMappingURL=event.model.js.map