import { Getter } from '@loopback/core';
import { Entity, HasManyRepositoryFactory } from '@loopback/repository';
import { SequelizeDataSource } from '@loopback/sequelize';
import { IAuthUserWithPermissions } from '@sourceloop/core';
import { SequelizeUserModifyCrudRepository } from '@sourceloop/core/sequelize';
import { Task, UserTask } from '../../models';
import { UserTaskRepository } from './user-task.repository';
export declare class TaskRepository extends SequelizeUserModifyCrudRepository<Task, typeof Task.prototype.id> {
    private readonly userGetter;
    private readonly task;
    readonly userTasks: HasManyRepositoryFactory<UserTask, typeof UserTask.prototype.id>;
    constructor(dataSource: SequelizeDataSource, userTaskRepo: Getter<UserTaskRepository>, userGetter: Getter<IAuthUserWithPermissions>, task: typeof Entity & {
        prototype: Task;
    });
}
