import { IEvent, IOutgoingConnector, IUserTaskService } from '../interfaces';
import { TaskRepository, UserTaskRepository } from '../repositories';
import { CamundaService } from './camunda.service';
export declare class UserTaskService implements IUserTaskService {
    private readonly taskRepo;
    private readonly userTaskRepo;
    private readonly outgoing;
    private readonly camundaService;
    constructor(taskRepo: TaskRepository, userTaskRepo: UserTaskRepository, outgoing: IOutgoingConnector<IEvent>, camundaService: CamundaService);
    complete(taskId: string, userTaskId: string): Promise<void>;
    updateList(taskId: string, instanceId: string): Promise<void>;
}
